/* Quinn Thorne 5.25.2026 */

*, *::before, *::after{
    box-sizing: border-box;
}
:root{
    --main-color: #ffffff;
    --accent: #ff4992;
    --font-border: 1px 1px 0 #390012, -1px -1px 0 #390012, 0 1px 0 #390012, 1px 0 0 #390012;
    --background: #390012;
    --boxbg: #54001670;
}
body, html{
    margin: 0;
    padding: 0;
    height: 100%;
}
/*body:has(#dis-wrapper){
    overflow: hidden;
}*/
#dis-wrapper{
display: flex;
justify-content: center;
align-items: center;
height: 100%;
}
#disclaimer{
display: flex;
flex-direction: column;
transition: .2s;
max-width: 50vw;
padding: 2em;
background: var(--boxbg);
border: 1px solid var(--accent);
border-radius: 50px;
font-weight: bold;
}
#disclaimer h1{
font-size: 1.5em;
}
#disclaimer p{
width: 80%;
margin-left: auto; margin-right: auto;
}
#disclaimer ul, #disclaimer p{
line-height: 1.5em;
color: var(--main-color);
}
#disclaimer .nsfw{
color: var(--accent);
}
#disclaimer ul{
display: block;
padding: 2em 0;
object-fit: fill; /* Keeps the list centered no matter how long the list item is */
margin: auto;
list-style-type: "\2605";
}
#disclaimer ul li::marker{
color:var(--accent);
}
#disclaimer ul li{
padding: 0 1em;
}
.button a{
display: block;
margin: 1em;
border: 1px solid var(--accent);
padding: 1em;
}
.button a:hover{
background-color: var(--accent);
color: #000;
text-shadow: 0 0 1px #000;
transition: .2s ease-in-out;
}
/* Disclaimer Popup */
/* Last Updated: Quinn Thorne 05/24/2024 */
/*
 @ media(min-width:1000px){ *
 body:has(#dis-wrapper){
 overflow: hidden;
 }
 #dis-wrapper{
 display: flex;
 justify-content: center;
 align-items: center;
 height: 100vh;
 }
 #disclaimer{
 display: flex;
 flex-direction: column;
 transition: .2s;
 padding: 30px 50px;
 border: 2px dotted #fb2222;
 }
 #disclaimer h1{
 font-size: 1.5em;
 }
 #disclaimer ul, #disclaimer p{
 line-height: 1.5em;
 color: #fff;
 }
 #disclaimer .nsfw{
 color:#fb2222;
 }
 #disclaimer ul{
 display: block;
 padding: 2em 0;
 object-fit: fill; /* Keeps the list centered no matter how long the list item is
 margin: auto;
 list-style-type: "\2605";
 }
 #disclaimer ul li::marker{
 color:#fb2222;
 }
 #disclaimer ul li{
 padding: 0 1em;
 }
 #continue{
 display: block;
 margin: 2em;
 }
 #disclaimer a{
 border: 1px solid #fb2222;
 padding: 1em 5em;
 }
 #disclaimer #continue a:hover{
 background-color: #fb2222;
 color: #000;
 text-shadow: 0 0 1px #000;
 transition: .2s ease-in-out;
 }
 }
 /* Disclaimer Popup End */
